@ECHO OFF
:: ===================================================
:: - Batch-Name: 3P-BxBFG.BAT                        -
:: ===================================================
:: -         Batch by Uwe Morgener - 05.2003         -
:: -      fuer Crosspoint (XP2/OpenXP) und UKAW      -
:: ---------------------------------------------------
:: - Zweck: Zuordnung von Boxname zu BFG-Dateiname   -
:: - ====== ermitteln und als Nachricht in das       -
:: -        interne Brett "Meldungen" legen          -
:: - ----------------------------------------------- -
:: -      (Utilitie zum Paket: 3P-Batch v1.20)       -
:: ---------------------------------------------------
GOTO Start

:: =====================================================================
:: "LowLevel-Fehlertexte" ---------------------------------------------
:: Hier werden nur interne Befehle (ECHO, PAUSE, ...) verwendet, da nur diese
:: mit Sicherheit in jeder Umgebung (DOS, Win 9x, Win NT, ...) vorhanden sind.

:NoPPP
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Unterverzeichnis "%PPP%" existiert nicht...
ECHO Definiert in der Umgebungsvariablen "PPP".
GOTO ErrEnde1

:NoRAM
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Laufwerk und/oder Verzeichnis "%RAM%" existiert nicht...
ECHO Definiert in der Umgebungsvariablen "RAM".
GOTO ErrEnde1

:NoXP
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Unterverzeichnis "%XP%" existiert nicht...
ECHO Definiert in der Umgebungsvariablen "XP".
GOTO ErrEnde1

:isSlash
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Verzeichnisangabe ist: "%Slash_2%"
ECHO Geben Sie das Verzeichnis ohne den abschlieenden Backslash an!
ECHO Definiert in der Umgebungsvariablen "%Slash_1%".
GOTO ErrEnde1

:NoLw
IF EXIST %RAM%\TMP.bat DEL %RAM%\TMP.bat
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Die Umgebungsvariable "PPP" enthlt keine Laufwerksangabe!
GOTO ErrEnde

:NoDef
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Die Umgebungsvariablen "XP" und/oder "PPP" existieren nicht...
GOTO ErrEnde

:NoTemp
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Es ist kein Temporrverzeichnis definiert.
ECHO Definieren Sie dieses ber eine der nachfolgenden
ECHO Umgebungsvariablen:
ECHO         "Temp" oder "Tmp"
ECHO         "RAM"
GOTO ErrEnde

:NoESpace
ECHO FEHLER in 3P-BxBFG
ECHO ==================
ECHO Zu wenig Umgebungsspeicher verfgbar...
GOTO ErrEnde

:ErrEnde1
:: Hilfsvariablen lschen
FOR %%a IN (Err Slash_1 Slash_2) DO SET %%a=
:ErrEnde
ECHO.
PAUSE
GOTO Ende
:: =====================================================================
:: "HighLevel-Fehlertexte" --------------------------------------------
:: Text fr Fehlermeldung auswhlen
:: Die eigentliche Ausgabe erfolgt ber 3P-Sub.bat - dadurch mu ich
:: zwar etwas "hpfen", habe aber "3P-Batch"-Weit nur eine Routine

:Err3Pa ------ Fehler in 3Pa.exe aufgetreten
:: wurden die DOS-Umgebungsvariablen nicht/falsch gesetzt, so wurde
:: keine "temp.bat" erstellt, sondern Meldung nur auf Bildschirm
:: ausgegeben und ERRORLEVEL auf 253 gesetzt
IF ERRORLEVEL==253 IF NOT ERRORLEVEL==254 GOTO ErrEnde1
:: %UKAwPara%, %Para1% und ggf. %Para2% setzen (temp.bat wurde
:: von 3Pa.exe geschrieben, sofern darin ein Fehler auftrat)
CALL %RAM%\temp.bat
DEL %RAM%\temp.bat
GOTO ErrEnde2

:ErrEnde2
:: Fehlermeldung anzeigen und ins Log-File schreiben (3P-Batch.log)
CALL 3P-Sub.bat %UKAwPara% ErrShow
CD %XP1%
:: Hilfsvariablen lschen
FOR %%a IN (Datei Para1 Para2) DO SET %%a=
:: Hilfsdateien lschen, sofern vorhanden
IF EXIST %RAM%\3P-Mail$.??? DEL %RAM%\3P-Mail$.???
GOTO Ende
:: =====================================================================

:Start

ECHO Box-/BFG-Namenliste wird vorbereitet...

:: Zuordnung der Boxnamen zu den BFG-Namen ermitteln und merken (3P-Boxen.LST)
:: BFG-Namen wird fr die bergabe an E-Agent.bat / JS-Mail.bat bentigt

:: -= Arbeitsumgebung berprfen =-
:: alle Umgebungsvariablen definiert?
IF %XP%'==' GOTO NoDef
IF %PPP%'==' GOTO NoDef
:: temporres Verzeichnis (RAM-Laufwerk) gesetzt?
IF NOT %RAM%'==' GOTO RAMok
:: %RAM% nicht definiert - daher auf Default setzen
IF NOT %TMP%'==' SET RAM=%TMP%
IF NOT %TEMP%'==' SET RAM=%TEMP%
:: Default leider auch nicht gesetzt
IF %RAM%'==' GOTO NoTemp

:RAMok
:: existiert die Tool-Datei und damit auch das Unterverzeichnis
:: in der alle Hilfsdateien der 3P-Batch-Installation liegen?
IF NOT EXIST %PPP%\3P.COM GOTO NoPPP

:: gengend Umgebungsspeicher vorhanden?
%PPP%\3P ESpace 512
IF Errorlevel==1 GOTO NoESpace

:: existiert das Laufwerk/Verzeichnise (/ohne/ abschlieenden Backslash)?
:: Variable initialisieren
SET Err=
:: Temporr-Verzeichnis
CALL %PPP%\3P-Sub.BAT RAM DirExist %RAM%
IF NOT %Err%'==' GOTO %Err%
:: XP-Verzeichnis
CALL %PPP%\3P-Sub.BAT XP DirExist %XP%
IF NOT %Err%'==' GOTO %Err%
:: PPP-Verzeichnis
CALL %PPP%\3P-Sub.BAT PPP DirExist %PPP%
IF NOT %Err%'==' GOTO %Err%
:: -= Arbeitsumgebung: berprfung abgeschlossen =-

:: Laufwerk aus der Umgebungsvariablen %PPP% ermitteln
%PPP%\3P VARSET Drive=DRIVE OF %PPP% > %RAM%\TMP.bat
IF Errorlevel==1 GOTO NoLw
CALL %RAM%\TMP.bat
:: Hilfsdatei wieder lschen
IF EXIST %RAM%\TMP.bat DEL %RAM%\TMP.bat

:: liegt XP im Rootverzeichnis (%XP%==%Drive%) eines Laufwerks, dann mu "CD \"
:: anstatt "CD %XP%" zum Wechsel in XP-Verzeichnis ausgefhrt werden
SET XP1=%XP%
IF %XP%'==%Drive%' SET XP1=\

:: Laufwerk setzen (umgeht Problem, wenn Laufwerk per SUBST zugewiesen wurde)
%Drive%
CD %PPP%

:: RFC/PPP-BoxListe ermitteln und als "3P-Boxen.tmp"
:: in das TemporrVerzeichnis schreiben
3Pa.exe BoxBFG
:: innerhalb von 3Pa.exe Fehler aufgetreten?
IF ERRORLEVEL==1 GOTO Err3Pa

:: Mail aus der RFC/PPP-Boxliste generieren
ECHO Zuordnung der BFG-Dateien zu den Boxnamen > Betreff.tmp
COPY %RAM%\3P-Boxen.tmp Body.tmp >NUL
CALL 3P-Sub.bat Boxliste Mail
:: RFC/PPP-BoxListe wieder lschen
IF EXIST %RAM%\3P-Boxen.tmp DEL %RAM%\3P-Boxen.tmp

:Ende
:: Hilfsvariablen lschen
FOR %%a IN (Drive XP1) DO SET %%a=
