@ECHO OFF
:: =====================================================
:: - Batch-Name: 3P-In.BAT                             -
:: =====================================================
:: -          Batch by Uwe Morgener - 05.2003          -
:: -       fuer Crosspoint (XP2/OpenXP) und UKAW       -
:: -----------------------------------------------------
:: - Zweck: - Eingangsfilter nur unter bestimmten      -
:: - ======   Bedingungen abarbeiten (4 sind definiert)-
:: -        - Konvertiert ggf. fehlerhafte RC-Files    -
:: - ------------------------------------------------- -
:: -        (gehrt zum Paket: 3P-Batch v1.20)         -
:: -----------------------------------------------------
GOTO Start

:: =====================================================================
:: "HighLevel-Fehlertexte" ---------------------------------------------

:ErrFil_1 -------- keine EingangsFilterBatch gefunden
SET ErrPara=ErrFil_1
:ErrFil_2 -------- BatchName fr EingangsFilterBatch reserviert - gefundene
:: enthlt jedoch die Kennung nicht; daher vermutlich falsches Format
IF %ErrPara%'==' SET ErrPara=ErrFil_2
:NoESpace -------- zu wenig freier Umgebungsspeicher 
IF %ErrPara%'==' SET ErrPara=NoESpac1
CD %PPP%
:: Fehlermeldung anzeigen und ins Log-File schreiben (3P-Batch.log)
CALL 3P-Sub %ErrPara% ErrShow /No
GOTO Ende
:: =====================================================================

:Start
:: "Start-Verzeichnis" fr Eingangsfilter ist identisch mit dem Verzeichnis,
:: in dem XP liegt (wird von XP so gesetzt)
:: ACHTUNG: Bei virtuellen Laufwerken (SUBST) wird das /reale/ Verzeichnis gesetzt!!
::          Daher wird, sobald mglich, gemerktes Laufwerk geholt und gesetzt
::          (sonst Probleme nicht ausgeschlossen)
::
:: -= Arbeitsumgebung berprfen =-
:: wurde schon komplett in WDial.bat erledigt, daher bleibt hier nur noch

:: temporres Verzeichnis (RAM-Laufwerk) gesetzt?
IF NOT %RAM%'==' GOTO RAMok
:: %RAM% nicht definiert - daher auf Default setzen
IF NOT %TMP%'==' SET RAM=%TMP%
IF NOT %TEMP%'==' SET RAM=%TEMP%
:: Default leider auch nicht gesetzt
IF %RAM%'==' GOTO Ende

:RAMok
:: gemerktes XP-Laufwerk/Pfad holen und setzen
CALL %RAM%\DriveTMP.bat
%Drive%
CD %XP1%

:: gengend Umgebungsspeicher vorhanden?
%PPP%\3P ESpace 512
IF Errorlevel==1 GOTO NoESpace

::
:: von WDial.BAT bergebene Umgebungsvariablen holen
:: (Wichtig: mu mit CALL gestartet werden)
CALL %RAM%\UKAwPara.bat
:: /hier/ nicht bentigte Hilfsvariablen sofort wieder aufheben
:: (ausgenommen SndMail ( = User wollte Mail versenden) und 
:: SndNews ( = User wollte News versenden), um sie im Eingangs-
:: filter nutzen zu knnen - z.B. fr SpoolBAK)
FOR %%a IN (MailPara NewsPara Client JeaSa ESetup XPv) DO SET %%a=

:: prfen, ob der Eingangspuffer leer ist
:: IF %PPP_Size%'==0' : Eingangspuffer leer
%PPP%\3P VARSET PPP_Size=SIZE OF %1 > %RAM%\temp.bat
CALL %RAM%\temp.bat
DEL %RAM%\temp.bat

:: bei denjenigen *.RC-Files, die gerade vom Clienten geschrieben wurden,
:: Zeilenabschlu 0A nach 0D0A konvertieren
:: (%NewsName% wird durch Aufruf von UKAwPara.bat belegt)
IF EXIST %PPP%\3P-Konv.bat CALL %PPP%\3P-Konv.bat %NewsName%
:: ab /hier/ nicht bentigte Hilfsvariablen wieder aufheben
SET NewsName=

:: Namen der Pollbox-BFG holen
CALL %RAM%\BoxTMP.bat
SET _Filter=3P-BoxIn.bat
:: prfen, ob eine <Pollbox>.bat im XP-Verzeichnis liegt,
:: dann diese anstelle von 3P-BoxIn.bat aufrufen
IF EXIST %BFG_Name%.bat SET _Filter=%BFG_Name%.bat

:: Prfen, ob sich zufllig eine Batch mit dem Namen %_Filter% im XP-
:: Verzeichnis liegt, welche /nicht/ als 3P-BatchEingangsfilter gedacht ist.
IF NOT EXIST %_Filter% GOTO ErrFil_1
%PPP%\3P VARGET Batch FROM %_Filter% > %RAM%\temp.bat
CALL %RAM%\temp.bat
DEL %RAM%\temp.bat
IF NOT %Batch%'==3P-BoxIn' GOTO ErrFil_2

:: SpoolBAK starten, falls installiert
::
:: keine Verbindung hergestellt, kein Backup
IF %UKAwPara%'==/NoCall' GOTO SkipBAK
::
:: Eingangspuffer leer, kein Backup
:: ("leer" bedeutet: der Eingangspuffer "3PPuffer" beinhaltet nur die
:: 3P-Berichtmail (%MSG_Size%) oder ist vollkommen leer (0 Byte))
IF %MSG_Size%'==' SET MSG_Size=0
rem IF %PPP_Size%'==%MSG_Size%' GOTO SkipBAK
::
:: eingehende Datenpakete sichern
IF EXIST %SPB%\SpoolBAK.bat CALL %SPB%\SpoolBAK.bat Save In
:: abgelaufene Sicherungen wieder lschen
IF EXIST %SPB%\SpoolBAK.bat CALL %SPB%\SpoolBAK.bat Delete
:SkipBAK

:: Eingangsfilterbereich "Anfang" ausfhren
CALL %_Filter% %1 begin
:: sicherheitshalber wieder auf XP-Laufwerk und -Verzeichnis zurcksetzen
%Drive%
CD %XP1%

:: Inhalt der Variable ist ungleich /NoCall (Verbindung wurde hergestellt)
IF NOT %UKAwPara%'==/NoCall' GOTO isCall

:: Eingangsfilterbereich "keine Verbindung" ausfhren
CALL %_Filter% %1 noCall
:: sicherheitshalber wieder auf XP-Laufwerk und -Verzeichnis zurcksetzen
%Drive%
CD %XP1%

:: Inhalt der Variable = /NoCall (keine Verbindung hergestellt),
:: dann weiter mit dem Bereich "Ende"
IF %UKAwPara%'==/NoCall' GOTO BEnde

:isCall
:: wenn der Eingangspuffer leer ist, Bereich "Mitte" nicht abarbeiten
:: ("leer" bedeutet: der Eingangspuffer "3PPuffer" beinhaltet nur die
:: 3P-Berichtmail (%MSG_Size%) oder ist vollkommen leer (0 Byte))
IF %MSG_Size%'==' SET MSG_Size=0
IF %PPP_Size%'==%MSG_Size%' GOTO BEnde

:: Eingangsfilterbereich "Mitte" ausfhren
CALL %_Filter% %1 middle
:: sicherheitshalber wieder auf XP-Laufwerk und -Verzeichnis zurcksetzen
%Drive%
CD %XP1%

:BEnde
:: Eingangsfilterbereich "Ende" ausfhren
CALL %_Filter% %1 end
:: sicherheitshalber wieder auf XP-Laufwerk und -Verzeichnis zurcksetzen
%Drive%
CD %XP1%

:Ende
:: Definition der briggeblibenen Hilfsvariablen wieder aufheben
FOR %%a IN (UKAwPara PPP_Size Drive XP1 MSG_Size Batch) DO SET %%a=
FOR %%a IN (SndMail SndNews BFG_Name) DO SET %%a=
